from pydantic import BaseModel


class User(BaseModel):
    id: int
    username: str
    email: str
    created_date: str
    role: str


class UserMin(BaseModel):
    id: int
    username: str
    email: str


class UserStatus(BaseModel):
    id: int
    role: str


class UserRegister(BaseModel):
    username: str
    email: str
    password: str


class UserLogin(BaseModel):
    email: str
    password: str
